
import os
import wx

#########################################################################
class ReportDialog(wx.Frame):

	def __init__(self, parent, id):
		wx.Frame.__init__(self, parent, id, 'Reports', size=(600, 400))
	#        self.CenterOnScreen()


	#        self.CreateStatusBar()
	#        self.SetStatusText("This is the statusbar")

		# Add another panel to hold text
		p2 = wx.Panel(self)
		box = wx.BoxSizer(wx.VERTICAL)
		self.tc = wx.TextCtrl(p2, -1, "", style=wx.TE_READONLY|wx.TE_MULTILINE)
		font = wx.Font(10, wx.FONTFAMILY_TELETYPE, wx.FONTSTYLE_NORMAL, wx.FONTWEIGHT_NORMAL)
		self.tc.SetFont(font)
		box.Add(self.tc, 1, wx.EXPAND, 0)
		p2.SetSizer(box)

		# Prepare the menu bar
		menuBar = wx.MenuBar()

		# 1st menu from left
		menu1 = wx.Menu()
		menu1.Append(101, "Save", "Save text to file")
	#        menu1.Append(102, "Print", "")
		menu1.AppendSeparator()
		menu1.Append(104, "Close", "Close this frame")
		# Add menu to the menu bar
		menuBar.Append(menu1, "File")

		self.SetMenuBar(menuBar)

		# Menu events

		self.Bind(wx.EVT_MENU, self.Menu101, id=101)
	#        self.Bind(wx.EVT_MENU, self.Menu102, id=102)
		self.Bind(wx.EVT_MENU, self.CloseWindow, id=104)


	#-----------------------------------------------------
	def Menu101(self, event):
		dlg = wx.FileDialog(self, message="Save file as ...", defaultDir=os.getcwd(), defaultFile="", style=wx.SAVE)

		if dlg.ShowModal() == wx.ID_OK:
			path = dlg.GetPath()
			f = open(path, "w")
			f.write(self.tc.GetValue())
			f.close()

	#-----------------------------------------------------
	def Menu102(self, event):
		print "print"

	#-----------------------------------------------------
	def CloseWindow(self, event):
		self.Close()
